# SBDecState Struct Reference

`#include <sb_celp.h>`

List of all members.

## Public Attributes

const SpeexMode * | mode
void * | st_low
spx_word16_t | last_ener

## Detailed Description

Structure representing the full state of the sub-band decoder

## Member Data Documentation

const SpeexMode* SBDecState::mode

Pointer to the mode (containing for vtable info)

void* SBDecState::st_low

State of the low-band (narrowband) encoder

spx_word16_t SBDecState::last_ener

If non-NULL, innovation is copied here

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/libspeex/sb_celp.h